-- Ada Milter API, a binding to Libmilter, the Sendmail mail filtering API
-- Copyright 2013 B. Persson, Bjorn@Rombobeorn.se
--
-- This library is free software: you can redistribute it and/or modify it
-- under the terms of the GNU General Public License version 3, as published
-- by the Free Software Foundation.


-- Thread wrapping is enabled when this file is used, so Start_Wrapping calls
-- start_wrapping_threads in libadamilter_thread_wrapper, which must be linked
-- into the main executable.


separate(Milter_API)
procedure Start_Wrapping is
   procedure start_wrapping_threads;
   pragma import(C, start_wrapping_threads);
begin
   start_wrapping_threads;
end Start_Wrapping;
